Debian Bug report logs - #596068
libcrypt-openssl-x509-perl: broken fingerprint_sha1

version graph

Package: libcrypt-openssl-x509-perl; Maintainer for libcrypt-openssl-x509-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libcrypt-openssl-x509-perl is src:libcrypt-openssl-x509-perl.

Reported by: intrigeri+debian@boum.org

Date: Wed, 8 Sep 2010 13:45:01 UTC

Severity: important

Found in version libcrypt-openssl-x509-perl/1.2-1

Fixed in version libcrypt-openssl-x509-perl/1.3-1

Done: Ansgar Burchardt <ansgar@43-1.org>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Public/Bug/Display.html?id=60117

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#596068; Package libcrypt-openssl-x509-perl. (Wed, 08 Sep 2010 13:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri+debian@boum.org:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 08 Sep 2010 13:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: intrigeri+debian@boum.org
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libcrypt-openssl-x509-perl: broken fingerprint_sha1
Date: Wed, 08 Sep 2010 15:42:24 +0200
Package: libcrypt-openssl-x509-perl
Version: 1.2-1
Severity: important

Hi,

the fingerprint_sha1() function is broken in 1.2.

This is one of the main functions of this module, hence the important
severity. The only change in the 1.2 -> 1.3 diff is a one-liner patch
that fixes this function.

This probably deserves a freeze exception, doesn't it?

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libcrypt-openssl-x509-perl depends on:
ii  libc6                         2.11.2-2   Embedded GNU C Library: Shared lib
ii  libssl0.9.8                   0.9.8o-2   SSL shared libraries
ii  perl                          5.10.1-14  Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.10.1]    5.10.1-14  minimal Perl system

libcrypt-openssl-x509-perl recommends no packages.

libcrypt-openssl-x509-perl suggests no packages.

-- no debconf information

--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr-fingerprint.asc
  | So what?




Set Bug forwarded-to-address to 'https://rt.cpan.org/Public/Bug/Display.html?id=60117'. Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Wed, 08 Sep 2010 14:33:08 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions libcrypt-openssl-x509-perl/1.3-1. Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Wed, 08 Sep 2010 14:33:08 GMT) Full text and rfc822 format available.

Reply sent to Ansgar Burchardt <ansgar@43-1.org>:
You have taken responsibility. (Wed, 08 Sep 2010 16:15:03 GMT) Full text and rfc822 format available.

Notification sent to intrigeri+debian@boum.org:
Bug acknowledged by developer. (Wed, 08 Sep 2010 16:15:03 GMT) Full text and rfc822 format available.

Message #14 received at 596068-done@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
Cc: 596069-done@bugs.debian.org, 596068-done@bugs.debian.org
Subject: Re: Bug#596069: libcrypt-openssl-x509-perl: broken new_from_string()
Date: Thu, 09 Sep 2010 01:11:21 +0900
> Package: libcrypt-openssl-x509-perl
> Version: 1.3-1
>
> the new_from_string() function is broken in 1.2 and 1.3. This
> constructor is one of the main entry points to this module, hence the
> important severity.

> Package: libcrypt-openssl-x509-perl
> Version: 1.2-1
>
> the fingerprint_sha1() function is broken in 1.2.

I agree that these should be fixed for Squeeze and filed an unblock
request[1].  Meanwhile I'll mark these bugs as done as they are already
fixed in unstable.

Thanks for the notice!

Regards,
Ansgar

[1] <http://bugs.debian.org/596082>




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Oct 2010 07:35:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:37:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.